Bug 807375 - Review Request: kwooty - A friendly nzb usenet binary download application
Review Request: kwooty - A friendly nzb usenet binary download application
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 11:49 EDT by Gregor Tätzner
Modified: 2014-11-07 15:44 EST (History)
3 users (show)

See Also:
Fixed In Version: kwooty-0.8.3-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-07 23:27:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Gregor Tätzner 2012-03-27 11:49:15 EDT
Spec URL: http://brummbq.fedorapeople.org/kwooty.spec
SRPM URL: http://brummbq.fedorapeople.org/kwooty-0.8.3-1.fc16.src.rpm
Description:
Kwooty is a NZB usenet binary downloader for KDE 4. Features : automatic file verification - repairing with par2 files, automatic archive extraction (Rar, Zip and 7z archive formats supported), built-in YEnc and UUEncode file decoders, ...

atm I'm using version 0.8.3 - a non released version (contains various fixes) upstream send directly to me. I will upgrade as soon as possible.
Comment 1 Rex Dieter 2012-03-27 12:16:37 EDT
Quick initial comment:

1.  no need for a -devel pkg for a single lib symlink, with no headers or exported API (that I can tell).  I'd recommend omitting that from packaging (via whatever method you prefer, like simply deleting it in %install or using %exclude).
Comment 2 Kevin Kofler 2012-03-27 12:21:27 EDT
> Requires:       unrar
is not a valid Requires, packages in Fedora must not depend on packages which are not in Fedora (and unrar is not, because it's non-Free).
Comment 3 Gregor Tätzner 2012-03-27 12:38:27 EDT
(In reply to comment #2)
> > Requires:       unrar
> is not a valid Requires, packages in Fedora must not depend on packages which
> are not in Fedora (and unrar is not, because it's non-Free).

yeah forgot to remove that. if the user want the automatic rar archive extraction he has to install unrar manually. the app recognizes on runtime if unrar is installed or not. The same applies to 7z and par2 except they are in fedora. I think kwooty should require at least par2 (par2cmdline)
Comment 4 Rex Dieter 2012-03-27 15:35:39 EDT
So, in addition to stuff in comment #1 and comment #2 (lets consider that item 2), also:

3.  MUST:  Source0 not a full URL.  (maybe because it's not referring to an official release... yet?).  If so, please say so in a comment in the .spec


naming: ok

license: ok

sources: NOT ok, cannot verify (see 3)

macros: ok

scriptlets: ok


4.  MUST %files
change
%{_kde4_appsdir}/%{name}/*
to
%{_kde4_appsdir}/%{name}/
else the parent dir isn't properly owned


So, fixup items 1-4, and I think we're good to go.
Comment 5 Gregor Tätzner 2012-03-29 11:51:28 EDT
a new day a new kwooty. I think I addressed all your issues.

Spec URL: http://brummbq.fedorapeople.org/kwooty.spec
SRPM URL: http://brummbq.fedorapeople.org/kwooty-0.8.3-2.fc16.src.rpm

(In reply to comment #4)
> 3.  MUST:  Source0 not a full URL.  (maybe because it's not referring to an
> official release... yet?).  If so, please say so in a comment in the .spec
yep, it wasn't released...until today
Comment 6 Rex Dieter 2012-03-29 15:03:08 EDT
looks good to me, all issues fixed.  APPROVED.
Comment 7 Gregor Tätzner 2012-03-30 14:17:31 EDT
New Package SCM Request
=======================
Package Name: kwooty
Short Description: A friendly nzb usenet binary download application
Owners: brummbq
Branches: f15 f16 f17
InitialCC:
Comment 8 Gwyn Ciesla 2012-03-30 14:26:47 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-03-30 15:33:20 EDT
kwooty-0.8.3-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kwooty-0.8.3-2.fc15
Comment 10 Fedora Update System 2012-03-30 15:34:33 EDT
kwooty-0.8.3-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kwooty-0.8.3-2.fc16
Comment 11 Fedora Update System 2012-03-30 15:36:03 EDT
kwooty-0.8.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kwooty-0.8.3-2.fc17
Comment 12 Fedora Update System 2012-03-30 23:17:32 EDT
kwooty-0.8.3-2.fc16 has been pushed to the Fedora 16 testing repository.
Comment 13 Fedora Update System 2012-04-07 23:27:54 EDT
kwooty-0.8.3-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 14 Fedora Update System 2012-04-07 23:30:40 EDT
kwooty-0.8.3-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 15 Fedora Update System 2012-04-11 22:40:17 EDT
kwooty-0.8.3-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 16 Rex Dieter 2014-11-07 15:27:46 EST
Package Change Request
======================
Package Name: kwooty
New Branches: f21
Owners: rdieter
Comment 17 Gwyn Ciesla 2014-11-07 15:44:48 EST
Complete.

Note You need to log in before you can comment on or make changes to this bug.